services:
  borgmatic:
    container_name: borgmatic
    build:
      context: /opt/borgmatic/
    environment:
      - TZ=Europe/Amsterdam
    extra_hosts:
      - host:192.168.2.200
    healthcheck:
      test: ["CMD", "pgrep", "crond"]
      interval: 20s
      start_period: 30s
      timeout: 5s
      retries: 10
    privileged: true
    restart: unless-stopped
    volumes:
      - /opt/borgmatic/crontab.txt:/etc/borgmatic.d/crontab.txt
      - /opt/borgmatic/config:/config
      - /opt/borgmatic/scripts:/scripts
      - /opt/borgmatic/keys:/keys
      - /opt/borgmatic/log:/log
      - /root/.ssh:/root/.ssh:ro
      - /mnt/yotta/xenon/borg:/repo
      - /:/shuttle:ro
      - /dev/fuse:/dev/fuse
